Subject: [Isis-wg] Fwd: [netmod] Delay in publication request of routing-cfg and current -state conventions

From: <[email-masked]>
Date: Wed, 26 Oct 2016 09:32:49 -0400

Hi Folks,

This will clear the way for moving forward with IS-IS (and other
routing) yang model(s).

Thanks,
Chris.

Lou Berger <[email-masked]> writes:

> All,
>     Some may have noticed that there was a bit of a gap between the
> close of LC and the submission of the publication request for this
> document.  While it was gated by a minor update, the more significant
> reason for the delay was the consideration of how to proceed with models
> that contain the -state branch.
>
> As we're sure most are aware we have a design team looking at how
> datastores might be used to address the applied vs intended config [1]
> and the larger "OpState" discussion.  There also has been some
> discussion on proposals on how to proceed while their work is ongoing,
> including a proposal that I promoted - and this model presents the first
> opportunity to implement such.
>
> Based on a fair bit of discussion among the authors, chairs, AD and
> design team, we concluded that introducing a new model convention
> at this time really doesn't provide any substantive benefit and may in
> fact complicate future transition/upgrade approaches. This
> consideration is what resulted in the delay.
>
> The impact of this discussion on routing-cfg is no change.  The impact
> on -state conventions is that, for now, we (as chairs) feel that models
> being submitted for publication request by the WG should follow the
> conventions found in RFC7223 and the recommendations documented in
> 6087bis section 5.23 [2].  This of course can be change through
> discussion in the WG, e.g., based on the output of the DT.
>
> Lou and Kent
>
> [1] https://www.ietf.org/mail-archive/web/netmod/current/msg16491.html
> [2] https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-08#section-5.23
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod